> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Employee

> Update an employee by ID



## OpenAPI

````yaml put /api/v2/employees/{id}
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/employees/{id}:
    put:
      description: Update an employee by ID
      operationId: ApiV2EmployeeController_updateEmployee
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmployeeUpdateInputDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployeeUserOutputDto'
      security:
        - bearer: []
components:
  schemas:
    EmployeeUpdateInputDto:
      type: object
      properties:
        personnelNumber:
          type: string
          nullable: true
        costCentre:
          type: string
          nullable: true
        groups:
          nullable: true
          type: array
          items:
            type: array
        datePausedStart:
          format: date-time
          type: string
          description: >-
            The date when the employee should be paused (example: sick leave,
            maternal leave, etc.).
        datePausedEnd:
          format: date-time
          type: string
          description: >-
            The date when the employee should be un-paused (example: coming back
            from sick leave, maternal leave, etc.).
        dateTerminated:
          format: date-time
          type: string
          description: The date when the employee should be terminated.
    EmployeeUserOutputDto:
      type: object
      properties:
        email:
          type: string
        employeeId:
          type: string
        companyId:
          type: string
        personnelNumber:
          type: string
        costCenter:
          type: string
          nullable: true
        groups:
          nullable: true
          type: array
          items:
            type: string
        datePausedStart:
          format: date-time
          type: string
          nullable: true
        datePausedEnd:
          format: date-time
          type: string
          nullable: true
        dateTerminated:
          format: date-time
          type: string
          nullable: true
      required:
        - email
        - employeeId
        - companyId
        - personnelNumber
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````